<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:b="http://bootsfaces.net/ui" xmlns:p="http://primefaces.org/ui">

<ui:composition template="template.xhtml">

	<style type="text/css">
.ui-panelgrid .ui-grid-responsive .ui-panelgrid-cell {
	text-align: center;
}
</style>

	<script type="text/javascript">
		function handleLoginRequest(xhr, status, args) {
			if (args.validationFailed || !args.loggedIn) {
				PF('dlg').jq.effect("shake", {
					times : 5
				}, 100);
			} else {
				PF('dlg').hide();
				$('#loginLink').fadeOut();
			}
		}
	</script>

	<f:metadata>
		<f:viewParam name="pessoaFisicaId"
			value="#{pessoaFisicaBean.pessoaFisicaId}" />
		<f:viewAction action="#{pessoaFisicaBean.carregarPessoaFisicaPelaId}"
			if="#{param.pessoaFisicaId != null}" />
	</f:metadata>

	<ui:define name="conteudo">	

		<b:panel id="panelGeral">

			<f:view>

				<h:form id="formDados">

					<p:blockUI block="panelGeral" trigger="gravarPessoa">
				SALVANDO...<br />
						<p:graphicImage library="img" name="ajaxloadingbar.gif" />

					</p:blockUI>

					<b:panel>

						<p:panelGrid id="headPanel">

							<p:messages id="message" showDetail="false" closable="true"
								autoUpdate="false">
								<p:autoUpdate />
							</p:messages>

							<p:commandButton id="gravarPessoa" value="Gravar Pessoa"
								action="#{pessoaFisicaBean.gravar}" update="paneDados, growl" />
						</p:panelGrid>

					</b:panel>

					<b:panel contentDisabled="false" id="paneDados"
						title="Dados Pessoa" collapsed="false">

						<b:panelGrid columns="3">

							<b:inputText label="Nome"
								value="#{pessoaFisicaBean.pessoaFisica.nome}" required="true"
								requiredMessage="Nome obrigatório"
								validatorMessage="Nome não pode ser superior a 50"
								maxlength="50" immediate="true" ajax="true">
								<f:passThroughAttribute name="placeholder" value="Nome Completo" />
							</b:inputText>

							<b:inputText label="CPF" id="cpf" mask="999.999.999-99"
								required="true" value="#{pessoaFisicaBean.pessoaFisica.cpf}"
								immediate="true" requiredMessage="CPF obrigatório">
								<f:passThroughAttribute name="placeholder" value="CPF" />
								<f:converter converterId="cpfConverter" />
								<f:validator validatorId="CpfValidator" />
							</b:inputText>

							<p:calendar id="german" label="Data Nascimento" mask="99/99/9999"
								value="#{pessoaFisicaBean.pessoaFisica.data_nascimento}"
								locale="pt" navigator="true" showOn="button"
								pattern="dd/MM/yyyy" required="true"
								requiredMessage="Data nascimento obrigatória">
								<f:convertDateTime type="date" pattern="dd/MM/yyyy" />
							</p:calendar>

							<b:datepicker label="Data Nascimento" mode="popup-icon"
								value="#{pessoaFisicaBean.pessoaFisica.data_nascimento}"
								mask="99/99/9999" required="true"
								requiredMessage="Data nascimento obrigatória"
								allow-input-toggle="true" icon-position="right"
								side-by-side="true" show-date="true" show-time="false"
								show-icon="true" use-current="true" changeYear="true"
								change-month="true">
								<f:convertDateTime type="date" pattern="dd/MM/yyyy" />
							</b:datepicker>

						</b:panelGrid>

						<b:panelGrid columns="2">

							<b:inputText id="nome_mae"
								value="#{pessoaFisicaBean.pessoaFisica.nome_mae}"
								label="Nome Mãe" required="false">
								<f:ajax event="blur" render="message" />
								<f:passThroughAttribute name="placeholder"
									value="Insira o nome de sua mãe" />
							</b:inputText>

							<b:inputText id="rg"
								value="#{pessoaFisicaBean.pessoaFisica.registro_geral}"
								label="RG" required="false">
								<f:ajax event="blur" render="message" />
								<f:convertNumber integerOnly="true" />
								<f:passThroughAttribute name="placeholder" value="RG" />
							</b:inputText>

							<b:selectOneMenu id="std_civil"
								value="#{pessoaFisicaBean.pessoaFisica.std_civil}"
								placeholder="ESTADO CIVIL" required="true" label="Estado Civil">
								<f:facet name="append">
									<b:iconAwesome name="list" />
								</f:facet>
								<!--  <f:converter converterId="estadoCivilConverter" />-->
								<f:selectItem itemLabel="SOLTEIRO" itemValue="0" />
								<f:selectItem itemLabel="CASADO" itemValue="1" />
								<f:selectItem itemLabel="SEPARADO" itemValue="2" />
								<f:selectItem itemLabel="VIUVO" itemValue="3" />
								<f:selectItem itemLabel="UNIÃO ESTAVEL" itemValue="4" />
								<f:ajax event="blur" render="message" />
							</b:selectOneMenu>

							<b:inputText id="naturalidade"
								value="#{pessoaFisicaBean.pessoaFisica.naturalidade}"
								label="Naturalidade">
								<f:ajax event="blur" render="message" />
								<f:passThroughAttribute name="placeholder"
									value="Insira sua cidade de nascimento" />
							</b:inputText>

						</b:panelGrid>

					</b:panel>

				</h:form>

				<br />

				<h:form id="formContato">

					<b:panel contentDisabled="false" id="panelContato"
						title="Contato Pessoa" collapsed="false">

						<b:panelGrid columns="1">

							<b:selectOneMenu label="Tipo Contato"
								value="#{contatoPessoaBean.contatoPessoa.tipo_contato}"
								immediate="true" update="valorContato">
								<f:facet name="append">
									<b:iconAwesome name="list" />
								</f:facet>
								<f:selectItem itemLabel="TELEFONE CELULAR" itemValue="0" />
								<f:selectItem itemLabel="EMAIL" itemValue="1" />
								<f:selectItem itemLabel="TELEFONE RESIDENCIAL" itemValue="2" />
								<f:selectItem itemLabel="TELEFONE COMERCIAL" itemValue="3" />

							</b:selectOneMenu>

						</b:panelGrid>

						<b:panelGrid columns="1" id="valorContato">

							<b:inputText id="email" label="Email"
								value="#{contatoPessoaBean.contatoPessoa.valor_contato}"
								required="true" size="50" immediate="true"
								requiredMessage="Email obrigatório!">

								<f:facet name="append">
									<b:iconAwesome name="fa-envelope" />
								</f:facet>

								<f:passThroughAttribute name="placeholder" value="EMAIL" />

							</b:inputText>

						</b:panelGrid>

						<b:panelGrid columns="12">

							<b:commandButton id="inserirContato" value="Adicionar"
								action="#{pessoaFisicaBean.gravarContato(contatoPessoaBean.contatoPessoa)}"
								look="primary" size="sm"
								oncomplete="setTimeout(function() { $('[id$=message]').hide(1200); }, 1000);">
								<p:ajax update="formTableContato, growl" resetValues="true" />
							</b:commandButton>

							<b:commandButton id="cancelarContato" value="Cancelar"
								action="#{contatoPessoaBean.limpar}" look="primary" size="sm">
								<p:ajax update="valorContato" resetValues="false" />
							</b:commandButton>

						</b:panelGrid>

					</b:panel>

				</h:form>

				<br />

				<h:form id="formTableContato">

					<p:panelGrid style="width:100%;">
						<p:row>
							<p:column>
								<p:outputPanel id="tableCont">

									<p:dataTable id="contatoTable"
										value="#{pessoaFisicaBean.pessoaFisica.contatos}"
										var="contato"
										paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
										emptyMessage="Nenhum endereço adicionado!">

										<p:column>
											<f:facet name="header">
												<h:outputText value="EMAIL" />
											</f:facet>
											<h:outputText value="#{contato.tipo_contato}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="FONE" />
											</f:facet>
											<h:outputText value="#{contato.valor_contato}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="AÇÕES" />
											</f:facet>

										</p:column>
									</p:dataTable>
								</p:outputPanel>
							</p:column>
						</p:row>
					</p:panelGrid>
				</h:form>

				<br />

				<h:form id="referenciaPessoa">

					<p:panel id="panelReferencia" header="REFERÊNCIA PESSOA">

						<p:panelGrid styleClass="ui-noborder">

							<p:row>

								<p:column rowspan="2" style="width:30%;">
									<p:inputText id="nome_ref"
										value="#{referenciaBean.referencia.nome}" required="true"
										requiredMessage="Nome obrigatório"
										validatorMessage="Nome não pode ser superior a 70" size="40">
										<f:validateLength maximum="70" />
										<f:passThroughAttribute name="placeholder" value="NOME" />
										<f:ajax event="blur" render="messages" />
									</p:inputText>
								</p:column>

								<p:column rowspan="2" style="width:60%;">
									<p:inputText id="email_ref"
										value="#{referenciaBean.referencia.email}" required="true"
										size="50">
										<f:passThroughAttribute name="placeholder" value="EMAIL" />
										<f:passThroughAttribute name="type" value="email" />
										<f:ajax event="blur" render="messages" />
									</p:inputText>
								</p:column>

								<p:column style="width:40%;">
									<p:inputMask id="fone_ref" mask="(99)99999-9999"
										required="true" value="#{referenciaBean.referencia.fone}"
										immediate="true" requiredMessage="TELEFONE OBRIGATÓRIO">
										<f:passThroughAttribute name="placeholder" value="FONE" />
										<f:ajax event="blur" render="messages" />
									</p:inputMask>
								</p:column>

							</p:row>
						</p:panelGrid>

						<f:facet name="footer">
							<p:commandButton id="inserirRef" value="SALVAR"
								action="#{pessoaFisicaBean.gravarReferencia(referenciaBean.referencia)}"
								update="tblRef, growl" icon="ui-icon-disk">
								<p:ajax update="panelReferencia" resetValues="true" />
							</p:commandButton>
						</f:facet>

					</p:panel>

				</h:form>

				<br />

				<h:form id="tblRef">

					<p:panelGrid style="width:100%;">
						<p:row>
							<p:column>
								<p:outputPanel id="tableRef">

									<p:dataTable id="contatoTable"
										value="#{pessoaFisicaBean.pessoaFisica.referencias}"
										var="referencia"
										paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
										emptyMessage="Nenhuma referência adicionado!">

										<p:column>
											<f:facet name="header">
												<h:outputText value="NOME" />
											</f:facet>
											<h:outputText value="#{referencia.nome}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="EMAIL" />
											</f:facet>
											<h:outputText value="#{referencia.email}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="FONE" />
											</f:facet>
											<h:outputText value="#{referencia.fone}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="AÇÕES" />
											</f:facet>
											<p:commandButton image="ui-icon ui-icon-pencil" ajax="false"
												action="#{referenciaBean.carregar(referencia)}"
												title="Editar">
											</p:commandButton>
											<p:growl id="growlConfirm" showDetail="true" />
											<p:commandButton
												actionListener="#{referencia.removerReferencia(referencia)}"
												image="ui-icon ui-icon-trash" title="Excluir"
												update="tblRef">
												<p:confirm header="Confirmação"
													message="Tem certeza que deseja excluir o registro: #{referencia.nome} ?"
													icon="pi pi-exclamation-triangle" />
											</p:commandButton>

											<p:confirmDialog global="true" showEffect="fade"
												hideEffect="fade">
												<p:commandButton value="Yes" type="button"
													styleClass="ui-confirmdialog-yes" icon="pi pi-check" />
												<p:commandButton value="No" type="button"
													styleClass="ui-confirmdialog-no" icon="pi pi-times" />
											</p:confirmDialog>
										</p:column>
									</p:dataTable>
								</p:outputPanel>
							</p:column>
						</p:row>
					</p:panelGrid>
				</h:form>

				<br />

				<h:form id="endPessoa">

					<p:panel id="panelEndereco" header="ENDEREÇO PESSOA">

						<p:panelGrid styleClass="ui-noborder">
							<p:row>
								<p:column rowspan="2" style="width:15%;">
									<p:selectOneMenu id="logradouro"
										value="#{enderecoBean.endereco.logradouro}"
										placeholder="LOGRADOURO" required="true">
										<f:selectItem itemLabel="" itemValue="" />
										<f:selectItem itemLabel="RUA" itemValue="RUA" />
										<f:selectItem itemLabel="AVENIDA" itemValue="AVENIDA" />
										<f:selectItem itemLabel="TRAVESSA" itemValue="TRAVESSA" />
										<f:selectItem itemLabel="ESTRADA" itemValue="ESTRADA" />
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder"
											value="ESTADO CIVIL[ESCOLHA UM ITEM]" />
									</p:selectOneMenu>
								</p:column>

								<p:column style="width:30%;">
									<p:inputText id="end" value="#{enderecoBean.endereco.endereco}"
										required="true" style="display:block;width:460px">
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder" value="ENDEREÇO" />
									</p:inputText>
								</p:column>

								<p:column style="width:15px;">
									<p:inputText id="num" value="#{enderecoBean.endereco.numero}"
										required="true" style="display:block;width:100px">
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder" value="NÚMERO" />
									</p:inputText>
								</p:column>

								<p:column style="width:15px;">
									<p:inputMask id="cep" mask="99999-999"
										value="#{enderecoBean.endereco.cep}" required="true" size="10">
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder" value="CEP" />
									</p:inputMask>
								</p:column>

								<p:column>
									<p:selectOneMenu id="uf" value="#{enderecoBean.endereco.uf}"
										placeholder="UF" required="true">
										<f:selectItem itemLabel="" itemValue="" />
										<f:selectItem itemLabel="RS" itemValue="RS" />
										<f:selectItem itemLabel="SC" itemValue="SC" />
										<f:selectItem itemLabel="PR" itemValue="PR" />
										<f:selectItem itemLabel="SP" itemValue="SP" />
										<f:ajax event="blur" render="message" />
									</p:selectOneMenu>
								</p:column>
							</p:row>
						</p:panelGrid>

						<p:panelGrid styleClass="ui-noborder">
							<p:row>
								<p:column style="width:2%;">
									<p:inputText id="cidade"
										value="#{enderecoBean.endereco.cidade}" required="true"
										style="display:block;width:350px">
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder" value="CIDADE" />
									</p:inputText>
								</p:column>

								<p:column style="width:2%;">
									<p:inputText id="bairro"
										value="#{enderecoBean.endereco.bairro}" required="true"
										style="display:block;width:350px">
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder" value="BAIRRO" />
									</p:inputText>
								</p:column>

								<p:column style="width:40%;">
									<p:selectOneMenu id="tipo_endereco"
										value="#{enderecoBean.endereco.tipo_endereco}"
										placeholder="TIPO ENDEREÇO" required="true">
										<f:selectItem itemLabel="" itemValue="" />
										<f:selectItem itemLabel="RESIDENCIAL" itemValue="RESIDENCIAL" />
										<f:selectItem itemLabel="COMERCIAL" itemValue="COMERCIAL" />
										<f:ajax event="blur" render="message" />
										<f:passThroughAttribute name="placeholder"
											value="TIPO ENDEREÇO" />
									</p:selectOneMenu>
								</p:column>
							</p:row>
						</p:panelGrid>

						<f:facet name="footer">
							<p:commandButton id="inserirEnd" value="SALVAR"
								action="#{pessoaFisicaBean.gravarEndereco(enderecoBean.endereco)}"
								update="tblEnd, growl" icon="ui-icon-disk">
								<p:ajax update="panelEndereco" resetValues="true" />
							</p:commandButton>
						</f:facet>

					</p:panel>

				</h:form>

				<br />

				<h:form id="tblEnd">
					<p:panelGrid style="width:100%;">
						<p:row>
							<p:column>
								<p:outputPanel id="tableEnd">

									<p:dataTable id="enderecoTable"
										value="#{pessoaFisicaBean.pessoaFisica.enderecos}"
										var="endereco"
										paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
										emptyMessage="Nenhum endereço adicionado!">

										<p:column>
											<f:facet name="header">
												<h:outputText value="ENDEREÇO" />
											</f:facet>
											<h:outputText
												value="#{endereco.logradouro} #{endereco.endereco}, #{endereco.num_end}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="BAIRRO" />
											</f:facet>
											<h:outputText value="#{endereco.bairro_end}" />
										</p:column>
										<p:column>
											<f:facet name="header">
												<h:outputText value="CIDADE" />
											</f:facet>
											<h:outputText value="#{endereco.cidade}" />
										</p:column>

										<p:column>
											<f:facet name="header">
												<h:outputText value="AÇÕES" />
											</f:facet>
											<p:commandButton image="ui-icon ui-icon-pencil" ajax="false"
												action="#{enderecoBean.carregar(endereco)}" title="Editar">
											</p:commandButton>
											<p:growl id="growlConfirm" showDetail="true" />
											<p:commandButton
												actionListener="#{pessoaFisicaBean.removerEndereco(endereco)}"
												image="ui-icon ui-icon-trash" title="Excluir"
												update="tblEnd">
												<p:confirm header="Confirmação"
													message="Tem certeza que deseja excluir o registro: #{endereco.logradouro} #{endereco.endereco}, #{endereco.num_end} ?"
													icon="pi pi-exclamation-triangle" />
											</p:commandButton>

											<p:confirmDialog global="true" showEffect="fade"
												hideEffect="fade">
												<p:commandButton value="Yes" type="button"
													styleClass="ui-confirmdialog-yes" icon="pi pi-check" />
												<p:commandButton value="No" type="button"
													styleClass="ui-confirmdialog-no" icon="pi pi-times" />
											</p:confirmDialog>
										</p:column>
									</p:dataTable>
								</p:outputPanel>
							</p:column>
						</p:row>
					</p:panelGrid>
				</h:form>


				<h:form id="refPessoa">

					<h:outputLink value="javascript:void(0)"
						onclick="PF('dlg').show();" title="reference">
						<p:graphicImage library="img" name="references.png" />
					</h:outputLink>

					<p:dialog header="REFERÊNCIA PESSOA" widgetVar="dlg"
						resizable="false">
						<h:panelGrid columns="2" cellpadding="5">
							<p:row>

								<p:column rowspan="2" style="width:15%;">
									<p:inputText id="nome_ref"
										value="#{referenciaBean.referencia.nome}" required="true">
										<f:passThroughAttribute name="placeholder" value="NOME" />
										<f:passThroughAttribute name="type" value="nome" />
										<f:ajax event="blur" render="messages" />
									</p:inputText>
								</p:column>
								<p:column rowspan="2" style="width:15%;">
									<p:inputText id="email_ref"
										value="#{referenciaBean.referencia.email}" required="true">
										<f:passThroughAttribute name="placeholder" value="EMAIL" />
										<f:passThroughAttribute name="type" value="email" />
										<f:ajax event="blur" render="messages" />
									</p:inputText>
								</p:column>

								<p:column style="width:30%;">
									<p:inputMask id="fone_ref" mask="(99)99999-9999"
										required="true" value="#{referenciaBean.referencia.fone}"
										immediate="true" requiredMessage="TELEFONE OBRIGATÓRIO">
										<f:passThroughAttribute name="placeholder" value="FONE" />
										<f:ajax event="blur" render="messages" />
									</p:inputMask>
								</p:column>

							</p:row>

							<f:facet name="footer">
								<p:commandButton value="GRAVAR" update="growl"
									action="#{pessoaFisicaBean.gravarReferencia(referenciaBean.referencia)}"
									oncomplete="handleLoginRequest(xhr, status, args)" />
							</f:facet>
						</h:panelGrid>
					</p:dialog>
				</h:form>

			</f:view>

		</b:panel>

	</ui:define>

</ui:composition>

</html>